Imports System.Collections.ObjectModel
Imports EgtBEAMWALL.Core
Imports EgtUILib
Imports EgtWPFLib5

Public Class FeatureInPartInRawPartListVM
   Inherits VMBase

#Region "FIELDS & PROPERTIES"

   Private m_colFeatureInPartInRawPart_Redo As EgtDataGridColumn
   Public ReadOnly Property colFeatureInPartInRawPart_Redo As EgtDataGridColumn
      Get
         Return m_colFeatureInPartInRawPart_Redo
      End Get
   End Property

   Private m_FeatureInPartInRawPartColumns As New ObservableCollection(Of EgtDataGridColumn)
   Public Property FeatureInPartInRawPartColumns As ObservableCollection(Of EgtDataGridColumn)
      Get
         Return m_FeatureInPartInRawPartColumns
      End Get
      Set(value As ObservableCollection(Of EgtDataGridColumn))
         m_FeatureInPartInRawPartColumns = value
      End Set
   End Property

   Private m_FeatureList_Visibility As Visibility
   Public ReadOnly Property FeatureList_Visibility As Visibility
      Get
         Return m_FeatureList_Visibility
      End Get
   End Property

#Region "Messages"

   Public ReadOnly Property Description_Msg As String
      Get
         Return EgtMsg(61603)
      End Get
   End Property

   Public ReadOnly Property DO_Msg As String
      Get
         Return EgtMsg(61610)
      End Get
   End Property

#End Region    ' Messages

#End Region    ' FIELDS & PROPERTIES

#Region "CONSTRUCTOR"

   Sub New()
      ' creo riferimento in Map
      Map.SetRefFeatureInPartInRawPartListVM(Me)
      ' carico le colonne della datagrid
      Core.GetPrivateProfileColumns(S_FEATUREINPARTINRAWPARTLIST_SUPERVISOR, FeatureInPartInRawPartColumns)
      ' recupero riferimento a colonna Redo
      m_colFeatureInPartInRawPart_Redo = FeatureInPartInRawPartColumns.FirstOrDefault(Function(x) x.Name = COL_REDO)
   End Sub

#End Region    ' CONSTRUCTOR

#Region "METHODS"

   Sub SetFeatureListVisibility(bVisible As Boolean)
      m_FeatureList_Visibility = If(bVisible, Visibility.Visible, Visibility.Collapsed)
      NotifyPropertyChanged(NameOf(FeatureList_Visibility))
   End Sub

#End Region    ' METHODS

End Class